<template>
  <div class="paddedDiv">
    <div class="appContainer">
      <div class="emailLabel">
        <span>Input your WNE Email:</span>
      </div>
      <div>
        <textarea
          class="emailTextbox"
          v-model="emailOne"
          @change="sendEmailOne"
          id="emailVerify1"
          name="email"
          rows="1"
          maxLength="50"
          placeholder="Enter WNE email here:"
        ></textarea>
      </div>

      <div class="emailLabel">
        <span>Verify your Email:</span>
      </div>
      <div>
        <textarea
          class="emailTextbox"
          v-model="emailTwo"
          @change="sendEmailTwo"
          id="emailVerify2"
          name="verified"
          rows="1"
          maxLength="50"
          placeholder="Re-enter WNE email here:"
        ></textarea>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "EmailVerify",
  data: () => ({
    emailOne: "",
    emailTwo: "",
  }),
  methods: {
    sendEmailOne: function () {
      this.$emit("emailOneInputData", this.emailOne);
    },
    sendEmailTwo: function () {
      this.$emit("emailTwoInputData", this.emailTwo);
    },
  },
};
</script>

<style scoped>
@import "../css/StyledDiv.css";
</style>
